* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body{
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;

  font-family: Arial, Helvetica, sans-serif;

  background:
  linear-gradient(rgba(0,0,0,0.7),
  rgba(0,0,0,0.7)),
  url("imagens/pz.jpeg");

  background-size: cover;
  background-position: center;
}

.login-container{
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.login-box{
  width: 400px;

  background: rgba(0,0,0,0.85);

  border: 1px solid #ffd700;

  border-radius: 20px;

  padding: 40px;

  backdrop-filter: blur(10px);

  box-shadow: 0 0 30px rgba(255,215,0,0.3);

  text-align: center;
}

.logo{
  color: #fff;

  font-size: 40px;

  margin-bottom: 10px;

  animation: piscar 1s infinite;
}

.login-box p{
  color: #ccc;

  margin-bottom: 30px;
}

input{
  width: 100%;

  padding: 15px;

  margin-bottom: 15px;

  border: none;

  border-radius: 10px;

  background: #1b1b1b;

  color: white;

  font-size: 16px;
}

input:focus{
  outline: 2px solid #ffd700;
}

button{
  width: 100%;

  padding: 15px;

  border: none;

  border-radius: 10px;

  background: #ffd700;

  color: black;

  font-weight: bold;

  font-size: 16px;

  cursor: pointer;

  margin-top: 10px;

  transition: 0.3s;
}

button:hover{
  transform: scale(1.03);

  box-shadow: 0 0 15px #ffd700;
}

.cadastro{
  background: transparent;

  border: 1px solid #ffd700;

  color: #ffd700;
}

#mensagem{
  display: block;

  margin-top: 15px;

  color: white;
}

.link-esqueci{
  display: block;

  margin-top: 15px;

  color: #ffd700;

  font-size: 14px;

  text-decoration: underline;
}

.link-esqueci:hover{
  color: #fff;
}

.recuperar-texto{
  color: #ccc;

  font-size: 14px;

  margin-bottom: 15px;

  text-align: left;
}

@keyframes piscar{
  0%{
    opacity: 1;
  }

  50%{
    opacity: 0.4;
  }

  100%{
    opacity: 1;
  }
}